{% extends 'base.html.twig' %}

{% block title %}Hello!{% endblock %}

{% block body %}
<div class="row">
   <div class="col-6 offset-3">
       <form method="post">
           {% if error %}
               <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
           {% endif %}
           <div class="card">
               <div class="card-body bg-light">
                    <h1 class="h3 mb-3 font-weight-normal text-center">Log In</h1>
                   <div class="form-group">
                       <label for="inputEmail" class="sr-only">Email</label>
                       <input type="text" value="{{ last_username }}" name="_username" id="inputEmail" class="form-control" placeholder="Username" required autofocus>
                   </div>
                   <div class="form-group">
                       <label for="inputPassword" class="sr-only">Password</label>
                       <input type="password" name="_password" id="inputPassword" class="form-control" placeholder="Password" required>
                   </div>
                   <input type="hidden" name="_csrf_token"
                       value="{{ csrf_token('authenticate') }}"
                   >

                   <button class="btn btn-lg btn-primary btn-block" type="submit">
                       Log in
                   </button>
               </div>
           </div>
       </form>
   </div>
</div>
{% endblock %}
